BizKitHub
DocsAPI ReferenceRss Feed/bff/rss-feed/detail
getRss FeedAdmin BFF

/bff/rss-feed/detail

Returns full detail of a single RSS feed including post statistics.

RSS FeedgetBffRss-feedDetail

Parameters

1 query

Query parameters

· 1
idstringRequired

Feed external ID.

Examplea1b2c3d4

Response schema

1 status code documented

200Success
idstringRequired

Feed external ID.

urlstringRequired

RSS feed URL.

titlestringOptional

Feed title.

descriptionstringOptional

Feed description.

activebooleanRequired

Whether this feed is active for the organisation.

lastFetchDateDate | string | string | numberOptional

Timestamp of the last fetch attempt.

One of 4:
Variant 1
Date

Timestamp of the last fetch attempt.

Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
lastFetchHttpCodenumberOptional

HTTP status code from the last fetch.

lastFetchHashstringOptional

MD5 hash of the last fetched content.

nextSyncDateDate | string | string | numberRequired

When the adaptive scheduler will next pick this feed up. See computeRssFeedNextSyncDate.

One of 4:
Variant 1
Date

When the adaptive scheduler will next pick this feed up. See computeRssFeedNextSyncDate.

Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
insertedDateDate | string | string | numberRequired

When the feed was created.

One of 4:
Variant 1
Date

When the feed was created.

Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
updatedDateDate | string | string | numberRequired

When the feed was last updated.

One of 4:
Variant 1
Date

When the feed was last updated.

Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
postCountnumberRequired

Total number of articles discovered.

latestPostDateDate | string | string | numberOptional

Published date of the most recent article.

One of 4:
Variant 1
Date

Published date of the most recent article.

Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
oldestPostDateDate | string | string | numberOptional

Published date of the oldest article.

One of 4:
Variant 1
Date

Published date of the oldest article.

Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number

Response example

application/json
{
  "id": "example_id",
  "url": "example_url",
  "title": "example_title",
  "description": "example_description",
  "active": false,
  "lastFetchHttpCode": 0,
  "lastFetchHash": "example_lastFetchHash",
  "postCount": 0
}

Request example

GET /bff/rss-feed/detail

get
curl -X GET "https://api.bizkithub.com/bff/rss-feed/detail?id=a1b2c3d4" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key